Subject: Re: [PATCH net-next 4/9] mlxsw: reg: Add Management UTC Register

From: Petr Machata <[email-masked]>
Date: Thu, 6 Jun 2019 10:12:54 +0000

Shalom Toledo <[email-masked]> writes:

> On 06/06/2019 5:37, Richard Cochran wrote:
>> Okay, so then you want to convert it into TAI (for PTP) rather than UTC.
>
> No, the HW interface is in UTC format. This is part of the HW machine that
> responsible for adding the UTC time stamping on R-SPAN mirror packets.

The way I understand it is that UTC is a misnomer. We are certainly not
updating the list of leap seconds in the ASIC so that it knows how to
get to UTC. (To be clear, no such interface even exists.) But it's
called UTC in the documentation, so we want to keep the name for that
reason.